#
# spec file for package python-uritemplate
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%bcond_without tests

%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-uritemplate
Version:        3.0.0
Release:        lp151.2.2
Summary:        URI Template Expansison
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://pypi.python.org/pypi/uritemplate
Source:         https://files.pythonhosted.org/packages/source/u/uritemplate/uritemplate-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module simplejson}
Requires:       python-simplejson
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%python_subpackages

%description
This is a Python implementation of RFC6570, URI Template, and can expand
templates up to and including Level 4 in that specification

%prep
%setup -q -n uritemplate-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%if %{with tests}
%check
%{python_expand export PYTHONPATH=%{buildroot}%{$python_sitelib}
$python tests/test_uritemplate.py
}
%endif

%files %{python_files}
%defattr(-,root,root,-)
%doc AUTHORS.rst HISTORY.rst LICENSE LICENSE.* README.rst
%{python_sitelib}/*

%changelog
* Mon May  8 2017 toddrme2178@gmail.com
- Re-download source tarball.
* Sun May  7 2017 toddrme2178@gmail.com
- Source URL must be https.
* Mon May  1 2017 toddrme2178@gmail.com
- Fix source URL.
- Implement single-spec version.
- Add tests.
- Add licenses and other documentation files.
* Thu Oct 27 2016 rjschwei@suse.com
- Update to version 3.0.0 (bsc#1002895)
  + No upstream change entry for 2.0 -> 3.0
- From 2.0.0
  + Merge uritemplate.py into uritemplate
  + Relicense uritemplate.py as Apache 2 and BSD
- From 1.0.1
  + Fix some minor packaging problems
- From 1.0.0
  + Fix handling of Unicode values on Python 2.6 and 2.7 for urllib.quote.
  + Confirm public stable API via version number.
* Thu Feb 20 2014 rschweikert@suse.com
- Include in SLE 12 (FATE #316168)
* Wed Feb  5 2014 rschweikert@suse.com
- Initial build
